Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.support
Class DefaultOsgiApplicationContextCreator

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.support.DefaultOsgiApplicationContextCreator

All Implemented Interfaces:
  OsgiApplicationContextCreator

    public class DefaultOsgiApplicationContextCreator

extends Object
implements OsgiApplicationContextCreator

Default `OsgiApplicationContextCreator` implementation.

Creates an `OsgiBundleXmlApplicationContext` instance using the default locations (`Spring-Context` manifest header or `META-INF/spring/*.xml`) if available, null otherwise.

Additionally, this implementation allows custom locations to be specified through `ConfigurationScanner` interface.

Author:
  Costin Leau
See Also:
  `ConfigurationScanner`

Constructor Summary
`DefaultOsgiApplicationContextCreator()`

Method Summary
`DelegatedExecutionOsgiBundleApplicationContext` | `createApplicationContext(BundleContext bundleContext)` Creates an application context for the given bundle context.
`void` | `setConfigurationScanner(ConfigurationScanner configurationScanner)` Sets the configurationScanner used by this creator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultOsgiApplicationContextCreator

    public DefaultOsgiApplicationContextCreator()

Method Detail

### createApplicationContext

    public DelegatedExecutionOsgiBundleApplicationContext createApplicationContext(BundleContext bundleContext)
                                                                            throws Exception

  Description copied from interface: `OsgiApplicationContextCreator`
  Creates an application context for the given bundle context. If no application context needs to be created, then `null` should be returned. Exceptions will be caught and logged but will not prevent the creation of other application contexts.

  Specified by:
    `createApplicationContext` in interface `OsgiApplicationContextCreator`
  Parameters:
    `bundleContext` - OSGi bundle context determining the context creation
  Returns:
    `null` if no context should be created, non- `null` otherwise
  Throws:
    `Exception` - if something goes wrong

### setConfigurationScanner

    public void setConfigurationScanner(ConfigurationScanner configurationScanner)

  Sets the configurationScanner used by this creator.

  Parameters:
    `configurationScanner` - The configurationScanner to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.